Summary: Utilities for managing processes on your system.
Name: psmisc
Version: 19
Release: 1.3.0
Copyright: distributable
Group: Applications/System
Source: ftp://lrcftp.epfl.ch/pub/linux/local/psmisc/psmisc-%{version}.tar.gz
Patch: psmisc-17-buildroot.patch
Buildroot: /var/tmp/psmisc-root

%description
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs
of processes that are using specified files or filesystems.

%prep
%setup -q -n psmisc
%patch -p1 -b .br

%build
make 'LDFLAGS=-s' CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -DPSMISC_VERSION=\\\"`cat VERSION`\\\""
strip -R .comments fuser killall pstree

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
make INSTPREFIX="$RPM_BUILD_ROOT" MANDIR=%{_mandir}/man1 install
mv $RPM_BUILD_ROOT/bin/fuser $RPM_BUILD_ROOT/sbin
chmod 0750 $RPM_BUILD_ROOT/sbin/fuser $RPM_BUILD_ROOT/usr/bin/killall $RPM_BUILD_ROOT/usr/bin/pstree

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0750,root,admin)	/sbin/fuser
/usr/bin/killall
/usr/bin/pstree
%doc %{_mandir}/man1/fuser.1*
%doc %{_mandir}/man1/killall.1*
%doc %{_mandir}/man1/pstree.1*

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.[01]
  - Initial build for EnGarde v1.2 (Parry).
  - Removed pre-EnGarde changelog.
  - Fix %clean stanza.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 19, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Fri Jul 14 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access to fuser for Guardian Digital Lockbox
